#include "StartupLocationMapObjectPlacer.h"

#include <Airport/Airport.h>
#include "StartupLocationMapObject.h"

IMPLEMENT_CLASS(StartupLocationMapObjectPlacer,MapObjectPlacer);

StartupLocationMapObjectPlacer::StartupLocationMapObjectPlacer(Airport::SmartRef airport):
        _airport(airport)
{
}

StartupLocationMapObjectPlacer::~StartupLocationMapObjectPlacer() {
}

MapObject* StartupLocationMapObjectPlacer::PlaceObject(Point3D position) {
        StartupLocationMapObject::SmartRef startupLocation=
                new StartupLocationMapObject(_airport,
                                             position,
                                             0.0,
                                             wxT("Startup Location"));
        _airport->GetGroundNetworkLayer()->AttachObject(startupLocation);
        return startupLocation;
}

