#if HAVE_CONFIG_H
#  include <config.h>
#endif /* HAVE_CONFIG_H */

#include "Mode.h"
#include "ModeManager.h"
#include <cassert>

#include <wx/listimpl.cpp>
WX_DEFINE_LIST(ModeChangeListenerList);

IMPLEMENT_ABSTRACT_CLASS(Mode,wxEvtHandler);

BEGIN_EVENT_TABLE(Mode, wxEvtHandler)
END_EVENT_TABLE()

Mode::Mode():_manager(NULL) {
}

Mode::~Mode() {
        Done();
}

bool Mode::Enter() {
        return true;
}

bool Mode::CanExit() {
        return true;
}

void Mode::Leave(bool force) {
}

wxString Mode::GetStatus() {
        return wxT("");
}

void Mode::UpdateStatus() {
        if (GetModeManager())
                GetModeManager()->UpdateStatus();
}

void Mode::Done() {
        if (GetModeManager())
                GetModeManager()->Remove(this,false);
}

