#ifndef CoordinateDisplayMode_h
#define CoordinateDisplayMode_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Map/Mode.h>

class CoordinateDisplayMode : public Mode {
        
        DECLARE_CLASS(CoordinateDisplayMode)
        
public:
	CoordinateDisplayMode(wxStatusBar* statusbar, int field);
        virtual ~CoordinateDisplayMode();

	virtual bool CanExit();
        
        void OnMouseMotion(wxMouseEvent& evt);
private:
        DECLARE_EVENT_TABLE()
        
        wxStatusBar* _statusbar;
        int _field;
};

#endif


