#ifndef PopupMode_h
#define PopupMode_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Map/Mode.h>

class PopupMode : public Mode {
        
        DECLARE_CLASS(PopupMode)
        
public:
	PopupMode();
        
        /* Return TRUE iff this mode can be exited. */
	virtual bool CanExit();
        
        void OnContextMenu(wxContextMenuEvent& evt);
private:
        DECLARE_EVENT_TABLE()
};

#endif


