#ifndef MapGrid_h
#define MapGrid_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include "MapEditorDecoration.h"

class MapGrid: public MapEditorDecoration {
        
        DECLARE_CLASS(MapGrid)
        
public:
	MapGrid(MapEditor* editor);
        virtual ~MapGrid();
        
        virtual void Paint(wxDC& dc);
        
        virtual void Scroll(wxSize devDelta);
        
protected:
        void DrawGrid(wxDC& dc, int res, bool degText);
        wxString SecToText(int secs);
        
        wxCoord _topTextHeight,_leftTextWidth;
};

#endif

