#ifndef _DATUM_H
#define _DATUM_H

#include <Map/MapDatumProjectionDescriptor.h>

const MapDatumProjectionDescriptor::Datum DatumNAD27(6378206.4,       // equatorial radius
                                                     6356583.8,       // polar radius
                                                     0.006768658,     // eccentricity squared
                                                     294.9786982);    // inverse flattening
const MapDatumProjectionDescriptor::Datum DatumGRS80(6378137.0,       // equatorial radius
                                                     6356752.3141,    // polar radius
                                                     0.00669438002290,// eccentricity squared
                                                     298.257222101);  // inverse flattening
const MapDatumProjectionDescriptor::Datum DatumWGS84(6378137.0,       // equatorial radius
                                                     6356752.3142,    // polar radius
                                                     0.00669437999013,// eccentricity squared
                                                     298.257223563);  // inverse flattening

#endif // _DATUM_H
